# Branches Object

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/branches/

Schema for the `Branches` resource in **Unified CI/CD API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the branch
- **`name`** _(string, required)_
  Name of the branch
- **`repo`** _(string)_
  The repository of the branch
- **`last_commit`** _(string)_
  The last commit of the branch
- **`last_commit_by`** _(string)_
  The last commit author of the branch
- **`last_commit_message`** _(string)_
  The last commit message of the branch
- **`last_commit_at`** _(string)_
  The date and time when the last commit was made
- **`created_at`** _(string)_
  The date and time when the branch was created
- **`updated_at`** _(string)_
  The date and time when the branch was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ci-cd/branches](/docs/api-reference/unified-ci-cd-api/branches/list) — List Branches
- [GET /unified/ci-cd/branches/{id}](/docs/api-reference/unified-ci-cd-api/branches/get) — Get Branches
